from ml.ml40.features.functionalities.events.event import Event


class PublishMobilePlatformLoaded(Event):
    loaded: bool

    def __init__(self, namespace="cml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace, name=name, identifier=identifier, parent=parent
        )
        self.loaded = False
        self.__json_out = dict()

    def to_json(self):
        self.__json_out = super().to_json()
        if self.loaded is not None:
            self.__json_out["loaded"] = self.loaded
        return self.__json_out
