from ml.ml40.features.properties.values.value import Value


class CurrentLevel(Value):

    __level: int

    def __init__(self, namespace="cml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace,
            name=name,
            identifier=identifier,
            parent=parent
        )

        self.__level = None
        self.__json_out = dict()

    @property
    def level(self):
        return self.__level

    @level.setter
    def level(self, value):
        self.__level = value

    def to_json(self):
        self.__json_out = super().to_json()
        if self.__level is not None:
            self.__json_out["level"] = self.__level

        return self.__json_out

