from ml.ml40.features.properties.values.documents.jobs.job import Job


class MountJob(Job):
    def __init__(self, namespace="cml40", name="", identifier=""):
        super().__init__(namespace=namespace, name=name, identifier=identifier)

        self.__base = None
        self.__partId = None
        self.__type = None
        self.__json_out = dict()

    @property
    def base(self):
        return self.__base

    @base.setter
    def base(self, value):
        self.__base = value

    @property
    def partId(self):
        return self.__partId

    @partId.setter
    def partId(self, value):
        self.__partId = value

    @property
    def type(self):
        return self.__type

    @type.setter
    def type(self, value):
        self.__type = value

    def to_json(self):
        self.__json_out = super().to_json()
        if self.__base is not None:
            self.__json_out["base"] = self.__base
        if self.__partId is not None:
            self.__json_out["partId"] = self.__partId
        if self.__type is not None:
            self.__json_out["type"] = self.__type
        return self.__json_out
