from ml.ml40.features.properties.values.documents.jobs.job import Job


class RotateAroundAxisJob(Job):
    def __init__(self, namespace="cml40", name="", identifier=""):
        super().__init__(namespace=namespace, name=name, identifier=identifier)
        self.__rotation = None
        self.__json_out = dict()

    @property
    def rotation(self):
        return self.__rotation

    @rotation.setter
    def rotation(self, value):
        self.__rotation = value

    def to_json(self):
        self.__json_out = super().to_json()
        if self.__rotation is not None:
            self.__json_out["rotation"] = self.__rotation
        return self.__json_out
