from ml.ml40.features.properties.values.value import Value


class PartTypes(Value):

    __types: list

    def __init__(self, namespace="cml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace,
            name=name,
            identifier=identifier,
            parent=parent
        )

        self.__types = []
        self.__json_out = dict()

    @property
    def types(self):
        return self.__types

    @types.setter
    def types(self, value):
        self.__types = value

    def to_json(self):
        self.__json_out = super().to_json()
        if self.__types is not None:
            self.__json_out["types"] = self.__types

        return self.__json_out

