from ml.ml40.features.functionalities.functionality import Functionality
from typing import TypedDict


class AddTwoIntsResult(TypedDict):
    sum: int


class AddTwoInts(Functionality):
    def __init__(self, namespace="ml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace, name=name, identifier=identifier, parent=parent
        )

    def add(self, a: int, b: int) -> AddTwoIntsResult:
        return {"sum": a + b}
