from ml.ml40.features.properties.values.value import Value


class ImagePng(Value):
    def __init__(self, namespace="ml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace, name=name, identifier=identifier, parent=parent
        )

        self.base64_image = None
        self.__json_out = dict()

    def to_json(self):
        self.__json_out = super().to_json()
        if self.base64_image is not None:
            self.__json_out["base64_image"] = self.base64_image
        return self.__json_out
