"""This module implements the class AcceptsMoveToJointPositionsJob."""

from ml.rml40.features.properties.values.documents.jobs.move_to_joint_positions_job import MoveToJointPositionsJob
from ml.ml40.features.functionalities.functionality import Functionality
from ml.ml40.features.properties.values.documents.jobs.job_status import JobStatus


class AcceptsMoveToJointPositionsJobs(Functionality):
    """This functionality signalizes that MoveToJointPositionsJobs can be processed and
    offers the possibility to remove and query it."""

    def __init__(self, namespace="rml40", name="", identifier="", parent=None):
        """Initializes the object.

        :param name: Object name
        :param identifier: Identifier

        """
        super().__init__(
            namespace=namespace, name=name, identifier=identifier, parent=parent
        )
