from ml.ml40.features.functionalities.events.event import Event


class PublishMovementStarted(Event):
    status: bool

    def __init__(self, namespace="rml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace, name=name, identifier=identifier, parent=parent
        )
        self.status = False
        self.__json_out = dict()

    def to_json(self):
        self.__json_out = super().to_json()
        if self.status is not None:
            self.__json_out["partTypeId"] = self.status
        return self.__json_out
