from ml.ml40.features.properties.values.value import Value


class JointPositions(Value):
    def __init__(self, namespace="rml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace,
            name=name,
            identifier=identifier,
            parent=parent
        )

        self.__jointValues = None
        self.__json_out = dict()

    @property
    def jointValues(self):
        return self.__jointValues

    @jointValues.setter
    def jointValues(self, value):
        self.__jointValues = value

    def to_json(self):
        self.__json_out = super().to_json()
        if self.__jointValues is not None:
            self.__json_out["jointValues"] = self.__jointValues

        return self.__json_out

