from ml.ml40.features.functionalities.events.event import Event


class PublishMobilePlatformUnloaded(Event):
    unloaded: bool

    def __init__(self, namespace="cml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace, name=name, identifier=identifier, parent=parent
        )
        self.unloaded = False
        self.__json_out = dict()

    def to_json(self):
        self.__json_out = super().to_json()
        if self.unloaded is not None:
            self.__json_out["unloaded"] = self.unloaded
        return self.__json_out
