from ml.ml40.features.functionalities.events.event import Event


class PublishPartUnloaded(Event):
    compartmentId: int
    partTypeId: str

    def __init__(self, namespace="cml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace, name=name, identifier=identifier, parent=parent
        )
        self.compartmentId = 0
        self.partTypeId = ""
        self.__json_out = dict()

    def to_json(self):
        self.__json_out = super().to_json()
        if self.partTypeId is not None:
            self.__json_out["partTypeId"] = self.partTypeId
        if self.compartmentId is not None:
            self.__json_out["compartmentId"] = self.compartmentId
        return self.__json_out
