from ml.ml40.features.properties.values.value import Value


class CurrentBay(Value):

    __bay: int

    def __init__(self, namespace="cml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace,
            name=name,
            identifier=identifier,
            parent=parent
        )

        self.__bay = None
        self.__json_out = dict()

    @property
    def bay(self):
        return self.__bay

    @bay.setter
    def bay(self, value):
        self.__bay = value

    def to_json(self):
        self.__json_out = super().to_json()
        if self.__bay is not None:
            self.__json_out["bay"] = self.__bay

        return self.__json_out

