from ml.ml40.features.properties.values.documents.jobs.job import Job


class MoveToHeightJob(Job):
    def __init__(self, namespace="cml40", name="", identifier=""):
        super().__init__(namespace=namespace, name=name, identifier=identifier)
        self.__height = None
        self.__json_out = dict()

    @property
    def height(self):
        return self.__height

    @height.setter
    def height(self, value):
        self.__height = value

    def to_json(self):
        self.__json_out = super().to_json()
        if self.__height is not None:
            self.__json_out["height"] = self.__height
        return self.__json_out
