from ml.ml40.features.properties.values.value import Value


class GraspedPart(Value):

    __partTypeId: str

    def __init__(self, namespace="cml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace,
            name=name,
            identifier=identifier,
            parent=parent
        )

        self.__partTypeId = ""
        self.__json_out = dict()

    @property
    def partTypeId(self):
        return self.__partTypeId

    @partTypeId.setter
    def partTypeId(self, value):
        self.__partTypeId = value

    def to_json(self):
        self.__json_out = super().to_json()
        if self.__partTypeId is not None:
            self.__json_out["partTypeId"] = self.__partTypeId

        return self.__json_out

