from ml.ml40.features.properties.values.value import Value


class PartSupplyBoxType(Value):

    __type: str

    def __init__(self, namespace="cml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace,
            name=name,
            identifier=identifier,
            parent=parent
        )

        self.__type = ""
        self.__json_out = dict()

    @property
    def type(self):
        return self.__type

    @type.setter
    def type(self, value):
        self.__type = value

    def to_json(self):
        self.__json_out = super().to_json()
        if self.__type is not None:
            self.__json_out["type"] = self.__type

        return self.__json_out

