from ml.ml40.features.properties.values.value import Value


class ScaffoldCompleted(Value):

    __completed: bool

    def __init__(self, namespace="cml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace,
            name=name,
            identifier=identifier,
            parent=parent
        )

        self.__completed = False
        self.__json_out = dict()

    @property
    def bay(self):
        return self.__completed

    @bay.setter
    def bay(self, value):
        self.__completed = value

    def to_json(self):
        self.__json_out = super().to_json()
        if self.__completed is not None:
            self.__json_out["completed"] = self.__completed

        return self.__json_out

