from ml.ml40.features.functionalities.events.event import Event
from ml.ml40.features.properties.values.orientation_rpy import OrientationRPY


class PublishOrientationRPY(Event):
    orientation: OrientationRPY

    def __init__(self, namespace="ml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace, name=name, identifier=identifier, parent=parent
        )
        self.orientation = None
        self.__json_out = dict()

    def to_json(self):
        self.__json_out = super().to_json()
        if self.orientation is not None:
            self.__json_out["orientation"] = self.orientation.to_json()
        return self.__json_out
