from ml.ml40.features.functionalities.events.event import Event
from ml.ml40.features.properties.values.position import Position


class PublishPosition(Event):
    position: Position

    def __init__(self, namespace="ml40", name="", identifier="", parent=None):
        super().__init__(
            namespace=namespace, name=name, identifier=identifier, parent=parent
        )
        self.position = None
        self.__json_out = dict()

    def to_json(self):
        self.__json_out = super().to_json()
        if self.position is not None:
            self.__json_out["position"] = self.position.to_json()
        return self.__json_out
